Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class ServiceHarvester.HarvestProcessor

    java.lang.Object
      java.lang.Thread
          org.deegree.ogcwebservices.csw.manager.AbstractHarvester.AbstractHarvestProcessor
              org.deegree.ogcwebservices.csw.manager.ServiceHarvester.HarvestProcessor

All Implemented Interfaces:
  Runnable

Enclosing class:
  ServiceHarvester

    protected class ServiceHarvester.HarvestProcessor

extends AbstractHarvester.AbstractHarvestProcessor

inner class for processing asynchronous harvesting of a service

Since:
  2.0
Version:
  $Revision: 19475 $, 1.0. $Revision: 19475 $, $Date: 2009-09-02 14:51:48 +0200 (Mi, 02. Sep 2009) $
Author:
  Andreas Poth, last edited by: $Author: lbuesching $

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class org.deegree.ogcwebservices.csw.manager.AbstractHarvester.AbstractHarvestProcessor
`owner, source`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ServiceHarvester.HarvestProcessor(AbstractHarvester owner, URI source)`

Method Summary
`protected String` | `createConstraint(String fileIdentifier, String xPath)` a constraint for delete und update operation depends on concrete metadata format.
`void` | `run()`

Methods inherited from class org.deegree.ogcwebservices.csw.manager.AbstractHarvester.AbstractHarvestProcessor
`createDeleteRequest, createInsertRequest, createUpdateRequest, performTransaction, writeLastHarvestingTimestamp, writeNextHarvestingTimestamp`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceHarvester.HarvestProcessor

    ServiceHarvester.HarvestProcessor(AbstractHarvester owner,
                                      URI source)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### createConstraint

    protected String createConstraint(String fileIdentifier,
                                      String xPath)

  Description copied from class: `AbstractHarvester.AbstractHarvestProcessor`
  a constraint for delete und update operation depends on concrete metadata format. An implementing class must consider this.

  Specified by:
    `createConstraint` in class `AbstractHarvester.AbstractHarvestProcessor`
  Parameters:
    `fileIdentifier` - value to be compared
    `xPath` - comparable property
  Returns:
    the constraint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org